aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-15 06:24:39 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-15 06:24:39 +0000
commit11cd0c802f5e8bbfa07b495d446bef8fadc987bd (patch)
treebeca74155eeeaad464cce47fb584498cbbabe3d6 /x11
parentca8c504a47e24fbb79aff25377df3b04f9f7f869 (diff)
downloadaports-11cd0c802f5e8bbfa07b495d446bef8fadc987bd.tar.bz2
aports-11cd0c802f5e8bbfa07b495d446bef8fadc987bd.tar.xz
x11/a52dec: new aport
liba52 is a free library for decoding ATSC A/52 streams http://liba52.sourceforge.net/
Diffstat (limited to 'x11')
-rw-r--r--x11/a52dec/APKBUILD27
-rw-r--r--x11/a52dec/a52dec-0.7.4-build.patch27
2 files changed, 54 insertions, 0 deletions
diff --git a/x11/a52dec/APKBUILD b/x11/a52dec/APKBUILD
new file mode 100644
index 0000000000..8d3b868d2f
--- /dev/null
+++ b/x11/a52dec/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=a52dec
+pkgver=0.7.4
+pkgrel=0
+pkgdesc="liba52 is a free library for decoding ATSC A/52 streams."
+url="http://liba52.sourceforge.net/"
+license="GPL2"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="autoconf automake libtool"
+source="http://liba52.sourceforge.net/files/$pkgname-$pkgver.tar.gz
+ $pkgname-$pkgver-build.patch"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -Np1 -i "$srcdir"/a52dec-0.7.4-build.patch || return 1
+ ./bootstrap || return 1
+ ./configure --prefix=/usr \
+ --enable-shared \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -m644 liba52/a52_internal.h "$pkgdir"/usr/include/a52dec/ || return 1
+}
+md5sums="caa9f5bc44232dc8aeea773fea56be80 a52dec-0.7.4.tar.gz
+fa16f224a7dceb7613824380abef0052 a52dec-0.7.4-build.patch"
diff --git a/x11/a52dec/a52dec-0.7.4-build.patch b/x11/a52dec/a52dec-0.7.4-build.patch
new file mode 100644
index 0000000000..f3a29f303c
--- /dev/null
+++ b/x11/a52dec/a52dec-0.7.4-build.patch
@@ -0,0 +1,27 @@
+diff -Naur a52dec-0.7.4.orig/liba52/Makefile.am a52dec-0.7.4/liba52/Makefile.am
+--- a52dec-0.7.4.orig/liba52/Makefile.am 2002-01-27 20:36:48.000000000 -0800
++++ a52dec-0.7.4/liba52/Makefile.am 2004-11-05 01:10:21.317401872 -0800
+@@ -1,4 +1,3 @@
+-CFLAGS = @CFLAGS@ @LIBA52_CFLAGS@
+
+ lib_LTLIBRARIES = liba52.la
+
+diff -Naur a52dec-0.7.4.orig/liba52/configure.incl a52dec-0.7.4/liba52/configure.incl
+--- a52dec-0.7.4.orig/liba52/configure.incl 2002-01-27 20:36:48.000000000 -0800
++++ a52dec-0.7.4/liba52/configure.incl 2004-11-05 01:11:38.172672216 -0800
+@@ -2,7 +2,6 @@
+ AC_SUBST([LIBA52_LIBS])
+
+ dnl avoid -fPIC when possible
+-LIBA52_CFLAGS="$LIBA52_CFLAGS -prefer-non-pic"
+
+ AC_ARG_ENABLE([double],
+ [ --enable-double use double-precision samples])
+diff -Naur a52dec-0.7.4.orig/src/Makefile.am a52dec-0.7.4/src/Makefile.am
+--- a52dec-0.7.4.orig/src/Makefile.am 2002-06-22 18:51:57.000000000 -0700
++++ a52dec-0.7.4/src/Makefile.am 2004-11-05 01:10:21.320401375 -0800
+@@ -1,4 +1,3 @@
+-CFLAGS = @A52DEC_CFLAGS@
+
+ bin_PROGRAMS = a52dec extract_a52
+ a52dec_SOURCES = a52dec.c getopt.c gettimeofday.c